'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var generateClassname = function generateClassname(props, styles, size) {
  return (0, _classnames2.default)(props[size].split(' ').map(function (cl) {
    return styles[size + '-' + cl];
  }));
};

exports.default = function () {
  var styles = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
  return function (props) {
    var className = [props.xs && generateClassname(props, styles, 'xs'), props.sm && generateClassname(props, styles, 'sm'), props.md && generateClassname(props, styles, 'md'), props.lg && generateClassname(props, styles, 'lg')];

    return _react2.default.createElement(
      'div',
      _extends({}, props, { className: (0, _classnames2.default)(styles.row, className, props.className) }),
      props.children
    );
  };
};